import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root'
})
export class ChartvaluesService {
  baseUrl: string = environment.serviceUrl;

  constructor(private httpClient: HttpClient) { }

  Get_all(): Observable<any> {
    return this.httpClient.get<any>(this.baseUrl + 'api/ChartValuesApi/Getall', {  observe: 'response' });
  }
  Getstagelst(): Observable<any> {
    return this.httpClient.get<any>(this.baseUrl + 'api/ChartValuesApi/Getstagelst', {  observe: 'response' });
  }
  Edit_ChartValues(data:any[]):Observable<any>{
    return this.httpClient.post<any>(this.baseUrl + 'api/ChartValuesApi/Edit_ChartValues', data,  { observe: 'response' });
  } 
  Active_ChartValues(data:any[]):Observable<any>{
    return this.httpClient.post<any>(this.baseUrl + 'api/ChartValuesApi/Active_ChartValues', data,  { observe: 'response' });
  }

  Add_ChartValues(data:any[]):Observable<any>{
    return this.httpClient.post<any>(this.baseUrl + 'api/ChartValuesApi/Add_ChartValues', data,  { observe: 'response' });
  }
 
}
